CURLOPT_LOGIN_OPTIONS(3)

NAME
CURLOPT_LOGIN_OPTIONS - login options

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_LOGIN_OPTIONS, char *options);

DESCRIPTION
Pass a char * as parameter, which should be pointing to the null-terminated options string to use for the transfer.

For more information about the login options please see RFC2384, RFC5092 and the IETF draft draft-earhart-url-smtp-00.txt.

CURLOPT_LOGIN_OPTIONS(3) can be used to set protocol specific login options, such as the preferred authentication mechanism via "AUTH=NTLM" or "AUTH=*", and should be used in conjunction with the CURLOPT_USERNAME(3) option.

The application does not have to keep the string around after setting this option.

DEFAULT
NULL

PROTOCOLS
Only IMAP, LDAP, POP3 and SMTP support login options.

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  curl_easy_setopt(curl, CURLOPT_URL, "smtp://example.com/");
  curl_easy_setopt(curl, CURLOPT_LOGIN_OPTIONS, "AUTH=*");
  ret = curl_easy_perform(curl);
  curl_easy_cleanup(curl);
}

AVAILABILITY
Added in 7.34.0. Support for OpenLDAP added in 7.82.0.

RETURN VALUE
Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_USERNAME(3), CURLOPT_PASSWORD(3),